#!/bin/bash

# Pick a random element from konachan with the given parameters
# $1 = mode: "konachan"
# $2 = tags (separated by +)
# $3 = rating: "safe", "questionable", "explicit", "quiestionableless", "questionableplus"

tags=$2
rating=$3

download_folder=~/Pictures/Konachan
if [ ! -d "$download_folder" ]; then
  mkdir "$download_folder"
fi

time=`date +%s`
result_file="$download_folder/picture_$time"
kona_search="http://konachan.com/post.xml?tags=$tags+order:random+rating:$rating&limit=1"

filepath=`curl "$kona_search" | grep -e 'file_url="[^"]*' -o | cut -c 11-`

wget -q -O "$result_file" "$filepath"

# return the downloaded file
echo "$result_file"

