#!/bin/bash

cd "$( dirname "${BASH_SOURCE[0]}" )"

# 0 - Setup
config_folder=~/.config/wpc
last_update_file="$config_folder/last_update"

if [ -e "$last_update_file" ]; then
  last_edit=`less "$last_update_file"`
else
  last_edit=0
fi

now=`date +%s`
limit=$(( last_edit + 172000 )) # 172000 ~ 2 days

if [ "$now" -le "$limit" ]; then
  # too early
  #echo "Too early"
  exit 0
else
  # run wpc
  # e.g. ./wpc.sh konachan tony_taka questionableless
  ./wpc.sh folder ~/Pictures
fi
